---
{{ service_name }}{{ service_number }}:
    tosca_file_from_SDC: service-{{ service_name }}{{ service_number }}-template
    version: "1.0"
    subscription_type: {{ service_name }}{{ service_number }}
    vnfs:
        - vnf_name: {{ service_name }}{{ service_number }}
          heat_files_to_upload: ubuntu16/ubuntu16.zip
          vnf_parameters: [
              {"vnf-parameter-name": "ubuntu16_name_0",
               "vnf-parameter-value": "{{ service_name }}{{ service_number }}"
              },
              {"vnf-parameter-name": "ubuntu16_image_name",
               "vnf-parameter-value": "ubuntu-16.04-daily"
              },
              {"vnf-parameter-name": "ubuntu16_key_name",
               "vnf-parameter-value": "cleubuntu{{ service_number }}"
              },
              {"vnf-parameter-name": "ubuntu16_pub_key",
               "vnf-parameter-value": "{{ key_value }}"
              },
              {"vnf-parameter-name": "ubuntu16_flavor_name",
               "vnf-parameter-value": "m1.medium"
              },
              {"vnf-parameter-name": "VM_name",
               "vnf-parameter-value": "{{ service_name }}{{ service_number }}"
              },
              {"vnf-parameter-name": "vnf_id",
               "vnf-parameter-value": "{{ service_name }}{{ service_number }}-VNF-instance"
              },
              {"vnf-parameter-name": "vf_module_id",
               "vnf-parameter-value": "{{ service_name }}{{ service_number }}-vfmodule-instance"
              },
              {"vnf-parameter-name": "vnf_name",
               "vnf-parameter-value": "{{ service_name }}{{ service_number }}-VNF"
              },
              {"vnf-parameter-name": "admin_plane_net_name",
               "vnf-parameter-value": "admin"
              }
          ]
